Users
List Users
List the members of an organization
GET
https://api.textreveal.com/v3/users
Request
This API route is experimental.
Route name, parameters and responses might change.
Parameters
sizeintegerNumber of records per page
Default: 10Range: [1, 1000]pageintegerPage number, 1-based
Minimum: 1organization_iduuidOrganization to list the members of. Defaults to the caller's own organization; only a SESAMm admin may set it to another organization.
Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"
Response
Members of the given organization
data*object[]Members of the given organization.
Array length: [0, ∞]size*integerNumber of records per page requested.
Minimum: 1has_next*booleanTrue if there are more records available.
Example: truecount*integerNumber of records returned in the current page.
Minimum: 0total*integerTotal number of records.
Minimum: 0
Response
{
"data": [
{
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"email": "jane.doe@example.com",
"name": "Jane Doe"
}
],
"size": 1,
"has_next": true,
"count": 1,
"total": 1
}Error
Bad request
message*stringError message.
Example: "Check the errors field for more details"code*number (enum)Error code.
Values: 400reason*string (enum)Error reason.
Values: "invalid"errorsobject[]Possible error causes.
Array length: [1, ∞]
Response
{
"message": "Check the errors field for more details",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "string",
"field": "size",
"reason": "invalid_type"
}
]
}Forbidden
message*stringError message.
Example: "You are not allowed to list users of another organization."code*number (enum)Error code.
Values: 403reason*string (enum)Error reason.
Values: "forbidden"
Response
{
"message": "You are not allowed to list users of another organization.",
"code": 403,
"reason": "forbidden"
}Generic errors are not shown, see Errors for more details.